Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.aglet.system
Interface ContextListener

All Superinterfaces:
  java.util.EventListener

All Known Implementing Classes:
  ContextAdapter, Tahiti, TahitiDaemon, CommandLine

public interface ContextListener
extends java.util.EventListener

The ContextListener interface specifies a set of methods for receiving context events.

Version:
  2.00 96/6/10
Author:
  Mitsuru Oshima

Method Summary
`void` | `agletActivated(ContextEvent ev)` Called when an aglet has been activated
`void` | `agletArrived(ContextEvent ev)` Called when an aglet has arrived
`void` | `agletCloned(ContextEvent ev)` Called when an aglet has been cloned
`void` | `agletCreated(ContextEvent ev)` Called when an aglet has been created
`void` | `agletDeactivated(ContextEvent ev)` Called when an aglet has been deactivated
`void` | `agletDispatched(ContextEvent ev)` Called when an aglet has been dispatched
`void` | `agletDisposed(ContextEvent ev)` Called when an aglet has been disposed
`void` | `agletResumed(ContextEvent ev)` Called when an aglet has been resumed
`void` | `agletReverted(ContextEvent ev)` Called when an aglet has been reverted.
`void` | `agletStateChanged(ContextEvent ev)` Called when the state of an aglet has changed.
`void` | `agletSuspended(ContextEvent ev)` Called when an aglet has been suspended
`void` | `contextShutdown(ContextEvent ev)` Called when shutting down
`void` | `contextStarted(ContextEvent ev)` Called when the context is started.
`void` | `showDocument(ContextEvent ev)` Called when an aglet request to show the document given as URL
`void` | `showMessage(ContextEvent ev)` Called to show the message

Method Detail

### agletActivated

    public void agletActivated(ContextEvent ev)

  Called when an aglet has been activated

### agletArrived

    public void agletArrived(ContextEvent ev)

  Called when an aglet has arrived

### agletCloned

    public void agletCloned(ContextEvent ev)

  Called when an aglet has been cloned

### agletCreated

    public void agletCreated(ContextEvent ev)

  Called when an aglet has been created

### agletDeactivated

    public void agletDeactivated(ContextEvent ev)

  Called when an aglet has been deactivated

### agletDispatched

    public void agletDispatched(ContextEvent ev)

  Called when an aglet has been dispatched

### agletDisposed

    public void agletDisposed(ContextEvent ev)

  Called when an aglet has been disposed

### agletResumed

    public void agletResumed(ContextEvent ev)

  Called when an aglet has been resumed

### agletReverted

    public void agletReverted(ContextEvent ev)

  Called when an aglet has been reverted.

### agletStateChanged

    public void agletStateChanged(ContextEvent ev)

  Called when the state of an aglet has changed.

### agletSuspended

    public void agletSuspended(ContextEvent ev)

  Called when an aglet has been suspended

### contextShutdown

    public void contextShutdown(ContextEvent ev)

  Called when shutting down

### contextStarted

    public void contextStarted(ContextEvent ev)

  Called when the context is started.

### showDocument

    public void showDocument(ContextEvent ev)

  Called when an aglet request to show the document given as URL
  See Also:
    `Aglet#showDocument`

### showMessage

    public void showMessage(ContextEvent ev)

  Called to show the message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD